/* 
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
/**
 * Author:  Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 * Created: 2 ago. 2021
 */

DROP EVENT IF EXISTS `DAILY_FILL_FEE_FROM_MONDAY_TO_FRIDAY`;

DELIMITER //
CREATE EVENT `DAILY_FILL_FEE_FROM_MONDAY_TO_FRIDAY`
ON SCHEDULE
    EVERY 1 DAY
    STARTS '2022-02-08 17:00:00'
DO
    IF DAYOFWEEK(CURDATE()) BETWEEN 2 AND 6 
        THEN
        CALL DailyFillFee();
    END IF;
    //
DELIMITER ;